%define upstream_name    Tree-Simple-VisitorFactory
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Visitor for sorting a Tree::Simple object hierarchy
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 1.1.14
BuildRequires: perl(Tree::Simple) >= 1.120.0
BuildRequires: perl(Tree::Simple::Visitor) >= 1.220.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This implements a recursive multi-level sort of a Tree::Simple hierarchy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Tree
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-4.mga8
+ Revision: 1506857
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-3.mga7
+ Revision: 1287134
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.150.0-2.mga7
+ Revision: 1167212
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.150.0-1.mga7
+ Revision: 1159726
- update to 0.15

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-5.mga6
+ Revision: 1035422
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-4.mga6
+ Revision: 945399
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 748223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 686745
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 596955
- update to 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 515769
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 374484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 31401
- mageia rebuild
- imported package perl-Tree-Simple-VisitorFactory


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 405769
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-7mdv2009.0
+ Revision: 258707
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-6mdv2009.0
+ Revision: 246666
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.10-4mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-4mdv2008.0
+ Revision: 87063
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-3mdv2007.0
- Rebuild

* Mon Apr 03 2006 Buchan Milne <bgmilne@mandriva.org> 0.10-2mdk
- Rebuild
- use mkrel

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdk
- new version 
- rpmbuildupdate aware
- fix directory ownership
- make test in %%check

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05-1mdk
- First Mandriva release

